Misaka.io | Docs
Misaka.io | Docs

Create or update service billable port

PUT
/v3/infra/service/{service_id}/billable_ports

Authorization

AuthorizationBearer <token>

Bearer is only available for WebApp. Please use API tokens for programmatic access.

In: header

Path Parameters

service_id*Service Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v3/infra/service/0/billable_ports" \  -H "Content-Type: application/json" \  -d '{    "port_id": 0,    "since": "2019-08-24"  }'
{  "sid": "string",  "service_name": "string",  "id": 0,  "port_id": 0,  "description": "string",  "since": "2019-08-24",  "until": "2019-08-24"}

How is this guide?

Last updated on 8/12/2026

id?|

Billable port ID

port_id*Port Id

NetBox port/interface ID

description?|

Description of the billable port

since*Since

Start date of billing

Formatdate
until?|

End date of billing